Bug 1275737 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(): krunner killed by SIGSEGV
[abrt] plasma-workspace: KCrash::defaultCrashHandler(): krunner killed by SIG...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ec196af1181bccf050f81bf07c2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 11:28 EDT by Karel Volný
Modified: 2016-12-20 10:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:10:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (65.15 KB, text/plain)
2015-10-27 11:28 EDT, Karel Volný
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-27 11:28 EDT, Karel Volný
no flags Details
File: core_backtrace (41.56 KB, text/plain)
2015-10-27 11:28 EDT, Karel Volný
no flags Details
File: dso_list (27.55 KB, text/plain)
2015-10-27 11:28 EDT, Karel Volný
no flags Details
File: environ (1.57 KB, text/plain)
2015-10-27 11:28 EDT, Karel Volný
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-27 11:28 EDT, Karel Volný
no flags Details
File: maps (149.39 KB, text/plain)
2015-10-27 11:29 EDT, Karel Volný
no flags Details
File: mountinfo (3.16 KB, text/plain)
2015-10-27 11:29 EDT, Karel Volný
no flags Details
File: open_fds (183 bytes, text/plain)
2015-10-27 11:29 EDT, Karel Volný
no flags Details
File: proc_pid_status (1023 bytes, text/plain)
2015-10-27 11:29 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2015-10-27 11:28:43 EDT
Version-Release number of selected component:
plasma-workspace-5.4.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/krunner
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/krunner
global_pid:     2590
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:418
 #3 mdb_txn_abort at mdb.c:2866
 #7 Baloo::Database::open at ../../../src/engine/database.cpp:121
 #8 Baloo::SearchStore::SearchStore at ../../../src/lib/searchstore.cpp:51
 #9 Baloo::Query::exec at ../../../src/lib/query.cpp:209
 #10 SearchRunner::match at ../../../runners/baloo/baloosearchrunner.cpp:98
 #12 Plasma::AbstractRunner::performMatch at ../../src/abstractrunner.cpp:131
 #13 ThreadWeaver::Executor::run at ../../src/executor.cpp:52
 #14 ThreadWeaver::Job::execute at ../../src/job.cpp:83
 #15 ThreadWeaver::Thread::run at ../../src/thread.cpp:114
Comment 1 Karel Volný 2015-10-27 11:28:50 EDT
Created attachment 1086895 [details]
File: backtrace
Comment 2 Karel Volný 2015-10-27 11:28:52 EDT
Created attachment 1086896 [details]
File: cgroup
Comment 3 Karel Volný 2015-10-27 11:28:54 EDT
Created attachment 1086897 [details]
File: core_backtrace
Comment 4 Karel Volný 2015-10-27 11:28:56 EDT
Created attachment 1086898 [details]
File: dso_list
Comment 5 Karel Volný 2015-10-27 11:28:57 EDT
Created attachment 1086899 [details]
File: environ
Comment 6 Karel Volný 2015-10-27 11:28:59 EDT
Created attachment 1086900 [details]
File: limits
Comment 7 Karel Volný 2015-10-27 11:29:01 EDT
Created attachment 1086901 [details]
File: maps
Comment 8 Karel Volný 2015-10-27 11:29:03 EDT
Created attachment 1086902 [details]
File: mountinfo
Comment 9 Karel Volný 2015-10-27 11:29:04 EDT
Created attachment 1086903 [details]
File: open_fds
Comment 10 Karel Volný 2015-10-27 11:29:06 EDT
Created attachment 1086904 [details]
File: proc_pid_status
Comment 11 Jonathan Wakely 2015-12-03 09:39:08 EST
Similar crash in F22, rapidly searching again and again in the K menu (whatever that's called) crashes if baloo is disabled:

#0  0x00000038ba4052f9 in mdb_txn_abort (txn=0x81) at mdb.c:2866
#1  0x00000038ba405307 in mdb_txn_abort (txn=0x7fff3c01d9e0) at mdb.c:2867
#2  0x00000038ba405307 in mdb_txn_abort (txn=0x7fff3c0000f8) at mdb.c:2867
#3  0x00000038ba405307 in mdb_txn_abort (txn=0x7fff3ee46320) at mdb.c:2867
#4  0x000000366320b9a8 in Baloo::Database::open(Baloo::Database::OpenMode) (this=0x366343a840, mode=mode@entry=Baloo::Database::OpenDatabase) at ../../../src/engine/database.cpp:121
#5  0x00007fff3b596ca9 in Baloo::SearchStore::SearchStore() (this=0x7fff48d859a0) at ../../../src/lib/searchstore.cpp:51
#6  0x00007fff3b5849d9 in Baloo::Query::exec() (this=this@entry=0x7fff48d85a50) at ../../../src/lib/query.cpp:209
#7  0x00007fff3b7e1210 in SearchRunner::match(Plasma::RunnerContext&, QString const&, QString const&) (this=this@entry=0x3f65030, context=..., type=..., category=...) at ../../../runners/baloo/baloosearchrunner.cpp:98
#8  0x00007fff3b7e1f9b in SearchRunner::match(Plasma::RunnerContext&) (this=0x3f65030, context=...) at ../../../runners/baloo/baloosearchrunner.cpp:164
#9  0x00007fff51de0ae0 in Plasma::AbstractRunner::performMatch(Plasma::RunnerContext&) (this=0x3f65030, localContext=...) at ../../src/abstractrunner.cpp:131
#10 0x00007fff51960580 in ThreadWeaver::Executor::run(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) (this=<optimized out>, job=..., thread=<optimized out>) at ../../src/executor.cpp:52
#11 0x00007fff5195f40a in ThreadWeaver::Job::execute(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) (this=<optimized out>, self=..., th=0x3dd7e40) at ../../src/job.cpp:83
#12 0x00007fff5195eb5a in ThreadWeaver::Thread::run() (this=0x3dd7e40) at ../../src/thread.cpp:114
#13 0x0000003fc02a33ce in QThreadPrivate::start(void*) (arg=0x3dd7e40) at thread/qthread_unix.cpp:331
#14 0x000000371be07555 in start_thread (arg=0x7fff48d86700) at pthread_create.c:333
#15 0x000000371b302b9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109
Comment 12 Jonathan Wakely 2015-12-03 10:11:26 EST
The crash can be easily reproduced in F22, just go to System Settings->Search->File Search and disable file search. Then open the application launcher (k menu) and rapidly type k <escape> k <escape> k <escape> over and over until it crashes. Only takes a few seconds for me.
Comment 13 Fedora End Of Life 2016-11-24 07:56:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 10:10:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.